
unit RequiredFieldU;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, WebModu, HTTPProd, ReqMulti,
  WebDisp, WebAdapt, WebComp, CompProd, PagItems, SiteProd,
  cvWebComponents, MidItems, WebForm;

type
  TRequiredFieldValidation = class(TWebAppPageModule)
    AdapterPageProducer: TAdapterPageProducer;
    WebAppComponents: TWebAppComponents;
    ApplicationAdapter: TApplicationAdapter;
    PageDispatcher: TPageDispatcher;
    AdapterDispatcher: TAdapterDispatcher;
    Adapter: TAdapter;
    CardTypeField: TAdapterField;
    cvAdapterForm: TcvAdapterForm;
    AdapterFieldGroup1: TAdapterFieldGroup;
    CardTypeDisplayField: TcvAdapterDisplayField;
    AdapterCommandGroup1: TAdapterCommandGroup;
    ValidateAction: TAdapterAction;
    CardTypeFieldValidator: TcvRequiredFieldValidator;
    CardTypsList: TStringsValuesList;
    CardNumberField: TAdapterField;
    CardNumberDisplayField: TcvAdapterDisplayField;
    CardNumberFieldValidator: TcvRequiredFieldValidator;
    ExpirationDateField: TAdapterField;
    ExpirationDateDisplayField: TcvAdapterDisplayField;
    ExpirationDatesList: TStringsValuesList;
    ExpirationDateFieldValidator: TcvRequiredFieldValidator;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function RequiredFieldValidation: TRequiredFieldValidation;

implementation

{$R *.dfm}  {*.html}

uses WebReq, WebCntxt, WebFact, Variants;

function RequiredFieldValidation: TRequiredFieldValidation;
begin
  Result := TRequiredFieldValidation(WebContext.FindModuleClass(TRequiredFieldValidation));
end;

initialization
  if WebRequestHandler <> nil then
    WebRequestHandler.AddWebModuleFactory(TWebAppPageModuleFactory.Create(TRequiredFieldValidation, TWebPageInfo.Create([wpPublished {, wpLoginRequired}], '.html'), caCache));

end.
